MuleResourceLoader (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.MuleResourceLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class MuleResourceLoader

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.mule.config.spring.MuleResourceLoader

All Implemented Interfaces:
  org.springframework.core.io.ResourceLoader, org.springframework.core.io.support.ResourcePatternResolver

    public class MuleResourceLoader

extends org.springframework.core.io.DefaultResourceLoader
implements org.springframework.core.io.support.ResourcePatternResolver

`MuleResourceLoader` is a custom Spring resource loader that calls standard Mule methods for loading resource files.

Field Summary
`protected Log` | `logger`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`MuleResourceLoader()`

Method Summary
`org.springframework.core.io.Resource` | `getResource(String rsc)`
`protected org.springframework.core.io.Resource` | `getResourceByPath(String path)`
`org.springframework.core.io.Resource[]` | `getResources(String rsc)`

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
`getClassLoader, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### MuleResourceLoader

    public MuleResourceLoader()

Method Detail

### getResource

    public org.springframework.core.io.Resource getResource(String rsc)

  Specified by:
    `getResource` in interface `org.springframework.core.io.ResourceLoader`
  Overrides:
    `getResource` in class `org.springframework.core.io.DefaultResourceLoader`

### getResourceByPath

    protected org.springframework.core.io.Resource getResourceByPath(String path)

  Overrides:
    `getResourceByPath` in class `org.springframework.core.io.DefaultResourceLoader`

### getResources

    public org.springframework.core.io.Resource[] getResources(String rsc)
                                                        throws IOException

  Specified by:
    `getResources` in interface `org.springframework.core.io.support.ResourcePatternResolver`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.